import request from '@/utils/request'

// 根据字典类型查询客户字典数据列表
export function listDictByType(dictType) {
  return request({
    url: '/customer/dict/type/' + dictType,
    method: 'get'
  })
}

// 查询通用字典 - 根据code查询
export function listCommonDict(dictCode) {
  return request({
    url: '/customer/dict/common/' + dictCode,
    method: 'get'
  })
}

// 查询客户类型选项列表
export function listCustomerTypeOption() {
  return request({
    url: '/system/customerType/query/option',
    method: 'get'
  })
}
